HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get clients list

(Deprecated) This API endpoint retrieves the list of clients from access points, CX switches, and/or gateways in a site based on the filter given.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required
length ≤ 10

ID of the site from which to retrieve the firewall session logs.

string
required
length ≤ 13

The start time for the query in epoch milliseconds, must be less than end-query-time.

string
required
length ≤ 13

The end time for the query in epoch milliseconds, must be greater than start-query-time.

string
required

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperatorsRequiredTypeDefault ValueSummary
applicationCategoryeqYesStringN\AFormat is string. Only applicationCategory or webCategory must be set but not both. Also cannot have both applicationCategory and webCategory empty.
webCategoryeqYesStringN\AFormat is string. Only applicationCategory or webCategory must be set but not both. Also cannot have both applicationCategory and webCategory empty.
deviceTypeeq and inNoString('DEVICE_TYPE_AP','DEVICE_TYPE_GATEWAY','DEVICE_TYPE_SWITCH')Format is a tuple that contains string. Example: ('DEVICE_TYPE_AP','DEVICE_TYPE_GATEWAY','DEVICE_TYPE_SWITCH')

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

int32
0 to 1000
Defaults to 1000

The maximum number of items to return.

int32
0 to 2147483647

The offset of the item at which to begin the response.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json